Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Class PopupMenuAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.swing.PopupMenuAction

All Implemented Interfaces:
  EventListener, PopupMenuListener

public class PopupMenuAction
extends AbstractAction
implements PopupMenuListener

Actionimplementierung fuer PopupMenuEvent.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`PopupMenuAction()`

Method Summary
`void` | `doPopupMenuCanceled(PopupMenuEvent pme)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doPopupMenuWillBecomeInvisible(PopupMenuEvent pme)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doPopupMenuWillBecomeVisible(PopupMenuEvent pme)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `popupMenuCanceled(PopupMenuEvent pme)`
`void` | `popupMenuWillBecomeInvisible(PopupMenuEvent pme)`
`void` | `popupMenuWillBecomeVisible(PopupMenuEvent pme)`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PopupMenuAction

    public PopupMenuAction()

Method Detail

### popupMenuWillBecomeVisible

    public void popupMenuWillBecomeVisible(PopupMenuEvent pme)

  Specified by:
    `popupMenuWillBecomeVisible` in interface `PopupMenuListener`

### doPopupMenuWillBecomeVisible

    public void doPopupMenuWillBecomeVisible(PopupMenuEvent pme)
                                      throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `pme` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### popupMenuWillBecomeInvisible

    public void popupMenuWillBecomeInvisible(PopupMenuEvent pme)

  Specified by:
    `popupMenuWillBecomeInvisible` in interface `PopupMenuListener`

### doPopupMenuWillBecomeInvisible

    public void doPopupMenuWillBecomeInvisible(PopupMenuEvent pme)
                                        throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `pme` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### popupMenuCanceled

    public void popupMenuCanceled(PopupMenuEvent pme)

  Specified by:
    `popupMenuCanceled` in interface `PopupMenuListener`

### doPopupMenuCanceled

    public void doPopupMenuCanceled(PopupMenuEvent pme)
                             throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `pme` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD